Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684831 - Depends on network-manager-applet
Summary: Depends on network-manager-applet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: switchboard-plug-networking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-02 21:30 UTC by Michael D
Modified: 2019-03-29 19:10 UTC (History)
1 user (show)

Fixed In Version: switchboard-plug-networking-2.1.4-2.fc28 switchboard-plug-networking-2.1.4-2.fc29 switchboard-plug-networking-2.1.4-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-15 03:35:11 UTC


Attachments (Terms of Use)
Modified .spec containing the change (deleted)
2019-03-02 21:30 UTC, Michael D
no flags Details
Visual proof (deleted)
2019-03-05 05:04 UTC, Michael D
no flags Details

Description Michael D 2019-03-02 21:30:04 UTC
Created attachment 1540176 [details]
Modified .spec containing the change

Description of problem:

When trying to connect to vpn from a fresh pantheon install from Fedora 29 Workstation I find that I cannot connect to my imported openvpn connections. These previously worked on gnome.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. dnf install pantheon-session-settings switchboard
2. logout and into pantheon session
3. import an ovpn file, require a password but leave it blank so the gui will have to ask you for a password

4. Run `journalctl -xf` and attempt to connect, it will fail
5. You will see the following error:

Failed to request VPN secrets #3: No agents were available for this request.



Actual results:
When pantheon-session-settings and switchboard pull in their dependencies they do not pull in network-manager-applet. It is probably assumed the NetworkManager dependency would pull this in however in the default installation gnome has it's own implementation.

Expected results:

For switchboard-plug-networking or switchboard itself to pull in network-manager-applet as a dependency

Additional info:

See attached

Comment 1 Fabio Valentini 2019-03-03 13:25:15 UTC
Interesting. I've had no lock fixing this issue before.

So, installing network-manager-applet fixes enabling VPN connections from Pantheon?

Comment 2 Michael D 2019-03-05 05:02:54 UTC
Yes, I didn't even have to import my vpn settings again.

In my research I found that network-manager-applet calls the 'gksu-like' password prompt, and passes secrets, for when you request to connect to a vpn that requires authentication.

Comment 3 Michael D 2019-03-05 05:04:32 UTC
Created attachment 1540825 [details]
Visual proof

These are obsolete ips of a public locations and a random nordvpn server.

Comment 4 Fedora Update System 2019-03-05 09:41:33 UTC
switchboard-plug-networking-2.1.4-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77137745af

Comment 5 Fedora Update System 2019-03-05 09:50:14 UTC
switchboard-plug-networking-2.1.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecc0285609

Comment 6 Fedora Update System 2019-03-05 09:51:06 UTC
switchboard-plug-networking-2.1.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e79683cfc6

Comment 7 Fedora Update System 2019-03-06 15:12:54 UTC
switchboard-plug-networking-2.1.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e79683cfc6

Comment 8 Fedora Update System 2019-03-06 15:57:03 UTC
switchboard-plug-networking-2.1.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecc0285609

Comment 9 Fedora Update System 2019-03-06 22:16:12 UTC
switchboard-plug-networking-2.1.4-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77137745af

Comment 10 Fedora Update System 2019-03-06 22:53:38 UTC
switchboard-plug-networking-2.1.4-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-77137745af

Comment 11 Fedora Update System 2019-03-15 03:35:11 UTC
switchboard-plug-networking-2.1.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-03-15 18:28:55 UTC
switchboard-plug-networking-2.1.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-29 19:10:01 UTC
switchboard-plug-networking-2.1.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.